HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

MSP API:- Assign licenses to all the devices owned by tenant customers.

Assign licenses to all devices owned by tenant customers for given services. Note: License assignment is not supported for the MSP owned devices
Since it is a background job, please wait for few minutes for all devices to be subscribed in case of customer having large number of devices

  1. include_customers: if provided, licenses will be assigned only for the customers present in include_customers list(Exception: License assignment will be ignored for MSP owned devices).
  2. exclude_customers: if provided, licenses will be assigned for msp/tenant customers except the customers present in exclude_customers list.
  3. If none of the above parameters are provided, licenses will be assigned for all customers(MSP, tenants) devices.
Body Params

Service details

include_customers
array of strings

Customer ids to be included for licensing/un-licensing.

include_customers
exclude_customers
array of strings

Customer ids to be excluded for licensing/un-licensing.

exclude_customers
services
array of strings
required

list of services e.g. ['pa', 'ucc', foundation_ap, advanced_switch_6200, foundation_70XX etc ...]. Check /licensing/v2/services/config API response to know the list of supported services.

services*
Responses
200

Successfully assigned licenses.

400

A required parameter or field is missing.

401

Unauthorized access. Authentication failed or was not provided.

403

Access denied.

404

The requested entity was not found.

409

Request Unsuccessful

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

500

Server error

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here!